%define major 0

%define libname %mklibname assuan %{major}
%define develname %mklibname assuan -d

Summary:	Assuan - an IPC library for non-persistent servers
Name:		libassuan
Version:	2.0.3
Release:	%mkrel 2
License:	LGPLv3
Group:		System/Libraries
URL:		http://www.gnupg.org/
Source0:	ftp://ftp.gnupg.org/gcrypt/%{name}/%{name}-%{version}.tar.bz2
Source1:	ftp://ftp.gnupg.org/gcrypt/%{name}/%{name}-%{version}.tar.bz2.sig
BuildRequires:	multiarch-utils >= 1.0.3
BuildRequires:	libpth-devel
BuildRequires:	libgpg-error-devel

%description
This is the IPC library used by GnuPG 1.9, gpgme and the old newpg
package. It used to be included with the latter packages but the
authors decided to separated it out to a standalone library.

%package -n %{libname}
Summary:	An IPC library for non-persistent servers
Group:		System/Libraries
Obsoletes:	libassuan < 2.0.0-4
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
This is the IPC library used by GnuPG 1.9, gpgme and the old newpg
package. It used to be included with the latter packages but the
authors decided to separated it out to a standalone library.

%package -n %{develname}
Summary:	Header files and static library for assuan
Group:		Development/C
Provides:	libassuan-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires(post):	info-install
Requires(preun):	info-install
Obsoletes:	%{libname}0-devel < 1.0.4
Obsoletes:	%{libname}0-static-devel < 1.0.4

%description -n %{develname}
Header files and static library for assuan.

%prep
%setup -q

%build
%configure2_5x \
	--with-pic \
	--enable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%multiarch_binaries %{buildroot}%{_bindir}/libassuan-config

#we don't want these
find %{buildroot} -name "*.la" -delete

%clean
rm -rf %{buildroot}

%post -n %{develname}
%_install_info assuan.info

%preun -n %{develname}
%_remove_install_info assuan.info

%files -n %{libname}
%{_libdir}/libassuan.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc ChangeLog AUTHORS NEWS README
%multiarch %{multiarch_bindir}/libassuan-config
%{_bindir}/libassuan-config
%{_includedir}/*.h
%{_datadir}/aclocal/*.m4
%{_libdir}/libassuan.so
%{_libdir}/libassuan.a
%{_infodir}/*.info*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 2.0.3-2.mga3
+ Revision: 356828
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 22 2012 fwang <fwang> 2.0.3-1.mga2
+ Revision: 199352
- new version 2.0.3

* Fri Dec 16 2011 wally <wally> 2.0.2-2.mga2
+ Revision: 182606
- drop .la files (mga#3787)
- clean .spec a bit

* Tue Jul 05 2011 fwang <fwang> 2.0.2-1.mga2
+ Revision: 118626
- add sig
- new version 2.0.2

* Sat Jan 15 2011 mikala <mikala> 2.0.1-1.mga1
+ Revision: 18398
- imported package libassuan

